Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardSeriesManager

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.CardSeriesManager

    public class CardSeriesManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CardSeriesManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `addSeries​(java.lang.String title)` |
  `int` | `deleteSeries​(int id)` |
  `java.util.Set<java.lang.Integer>` | `getCardSeries​(java.lang.String cards)` |
  `java.util.List<java.lang.Long>` | `getCardsFromSeries​(int seriesId, int needCount)` |
  `java.util.List<CardSeries>` | `getNotEmptySeries()` |
  `CardSeries` | `getSeries​(int id)` |
  `int` | `getSeriesId​(java.lang.String title)` |
  `java.util.List<CardSeries>` | `getSeriesList()` |
  `java.lang.String` | `getSeriesTitle​(int id)` |
  `int` | `updateSeries​(CardSeries series)` |
  `void` | `updateSeriesFree​(int id)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardSeriesManager

    public CardSeriesManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### addSeries

    public int addSeries​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSeriesId

    public int getSeriesId​(java.lang.String title)

  - ### getSeries

    public CardSeries getSeries​(int id)

  - ### getSeriesList

    public java.util.List<CardSeries> getSeriesList()

  - ### getSeriesTitle

    public java.lang.String getSeriesTitle​(int id)

  - ### updateSeries

    public int updateSeries​(CardSeries series)

  - ### updateSeriesFree

    public void updateSeriesFree​(int id)

  - ### deleteSeries

    public int deleteSeries​(int id)

  - ### getNotEmptySeries

    public java.util.List<CardSeries> getNotEmptySeries()

  - ### getCardSeries

    public java.util.Set<java.lang.Integer> getCardSeries​(java.lang.String cards)

  - ### getCardsFromSeries

    public java.util.List<java.lang.Long> getCardsFromSeries​(int seriesId, int needCount)